Buffers.Type (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.io

## Enum Buffers.Type

- java.lang.Object
- - java.lang.Enum<Buffers.Type>
  - - org.eclipse.jetty.io.Buffers.Type

- All Implemented Interfaces:
    Serializable, Comparable<Buffers.Type>
  Enclosing interface:
    Buffers

      public static enum Buffers.Type
      extends Enum<Buffers.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BYTE_ARRAY`
    `DIRECT`
    `INDIRECT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Buffers.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Buffers.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BYTE_ARRAY

          public static final Buffers.Type BYTE_ARRAY

    - #### DIRECT

          public static final Buffers.Type DIRECT

    - #### INDIRECT

          public static final Buffers.Type INDIRECT

  - ### Method Detail

    - #### values

          public static Buffers.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Buffers.Type c : Buffers.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Buffers.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.